Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.data
Class Archivio

    java.lang.Object
      archive.data.Archivio

    public class Archivio

extends java.lang.Object

Classe che contiene tutte le informazioni dell'angezia

Constructor Summary
`Archivio()`

Method Summary
`void` | `addCliente(Cliente c)` Aggiunge il cliente all'insieme `Set<Cliente>`
`void` | `addPacchetto(Pacchetto p)` Aggiunge il pacchetto all'insieme `Set<Pacchetto>`
`void` | `addPrenotazione(Prenotazione p, java.lang.String nomeVillaggio)` Aggiunge una prenotazione in un particolare villaggio all'insieme `Set<Prenotazione>`
`boolean` | `addPrenotazioni(Prenotazioni p)` Aggiunge le prenotazioni all'insieme `Set<Prenotazioni>`
`void` | `addPrenVolo(PrenotazioneVolo pv)` Aggiunge una prenotazione di un volo all'insieme `Set<PrenotazioneVolo>` e decrementa e posti rimasti nel volo
`void` | `addVolo(Volo v)` Aggiunge un volo all'insieme `Set<Volo>`
`Cliente` | `getCliente(java.lang.String cognome)` Ritorna il cliente con questo `cognome`
`java.util.Set<Cliente>` | `getClienti()` Ritorna `Set<Cliente>` non modificabile
`Prenotazioni` | `getOnePrenotazioni(java.lang.String nome)` Ritorna le prenotazioni di un villaggio
`PrenotazioneVolo` | `getonePrenVoli(java.lang.String sigla)` Ritorna una prenotazione
`java.util.Set<Pacchetto>` | `getPacchetti()` Ritorna `Set<Pacchetto>` non modificabile
`Pacchetto` | `getPacchetto(java.lang.String nome)` Ritorna il pacchetto con questo `nome` villaggio
`java.util.Set<Prenotazioni>` | `getPrenotazioni()` Ritorna `Set<Prenotazioni>` non modificabile
`java.util.Set<PrenotazioneVolo>` | `getPrenVoli()` Ritorna `Set<PrenotazioneVolo>` non modificabile
`java.util.Set<PrenotazioneVolo>` | `getPrenVoli(java.lang.String sigla)` Ritorna un `Set<PrenotazioneVolo>` con tutte le prenotazioni che hanno questa `sigla`
`java.util.Set<Volo>` | `getVoli()` Ritorna `Set<Volo>` non modificabile
`Volo` | `getVolo(java.lang.String sigla)` Ritorna il volo con questa `sigla`
`boolean` | `hasGotPrenotation(Cliente c, int n)` Controllo se il cliente ha delle prenotazioni
`void` | `removeCliente(Cliente c)` Rimuove il cliente dall'insieme `Set<Cliente>`
`void` | `removePacchetto(Pacchetto p)` Rimuove il pacchetto dall'insieme `Set<Pacchetto>`
`boolean` | `removePrenotazione(Prenotazione p, java.lang.String nomeVillaggio)` Rimuove una prenotazione da un villaggio dall'insieme `Set<Prenotazione>`
`boolean` | `removePrenotazione(java.lang.String cognomeCliente, int numWeek, java.lang.String nomeVillaggio)` Rimuove un prenotazione di un cliente in un villaggio
`void` | `removePrenotazioni(Prenotazioni p)` Rimuove prenotazioni dall'insieme `Set<Prenotazioni>`
`boolean` | `removePrenVolo(PrenotazioneVolo pv)` Rimuove un prenotazione di un volo dall'insieme `Set<PrenotazioneVolo>` e incrementa i posti rimasti in quel volo
`void` | `removeVolo(Volo v)` Rimuove volo dall'insieme `Set<Volo>`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Archivio

    public Archivio()

Method Detail

### addCliente

    public void addCliente(Cliente c)

  Aggiunge il cliente all'insieme `Set<Cliente>`

  Parameters:
    `c` - cliente da aggiungere
  Throws:
    `java.lang.IllegalArgumentException` - se non lo ha aggiunto

### addPacchetto

    public void addPacchetto(Pacchetto p)

  Aggiunge il pacchetto all'insieme `Set<Pacchetto>`

  Parameters:
    `p` - pacchetto da aggiungere
  Throws:
    `java.lang.IllegalArgumentException` - se non lo ha aggiunto

### addPrenotazioni

    public boolean addPrenotazioni(Prenotazioni p)

  Aggiunge le prenotazioni all'insieme `Set<Prenotazioni>`

  Parameters:
    `p` - prenotazioni da aggiungere
  Returns:
    true se è stato aggiunto

### addPrenotazione

    public void addPrenotazione(Prenotazione p,
                                java.lang.String nomeVillaggio)

  Aggiunge una prenotazione in un particolare villaggio all'insieme `Set<Prenotazione>`

  Parameters:
    `p` - prenotazione da aggiungerre
    `nomeVillaggio` -

### addVolo

    public void addVolo(Volo v)

  Aggiunge un volo all'insieme `Set<Volo>`

  Parameters:
    `v` - volo da aggiungere
  Throws:
    `java.lang.IllegalArgumentException` - se non lo ha aggiunto

### addPrenVolo

    public void addPrenVolo(PrenotazioneVolo pv)

  Aggiunge una prenotazione di un volo all'insieme `Set<PrenotazioneVolo>` e decrementa e posti rimasti nel volo

  Parameters:
    `pv` - Prenotazione di un volo
  Throws:
    `java.lang.IllegalArgumentException` - se non lo ha aggiunto

### removeCliente

    public void removeCliente(Cliente c)

  Rimuove il cliente dall'insieme `Set<Cliente>`

  Parameters:
    `c` - cliente da rimuovere
  Throws:
    `java.lang.IllegalArgumentException` - se non lo ha rimosso

### removePacchetto

    public void removePacchetto(Pacchetto p)

  Rimuove il pacchetto dall'insieme `Set<Pacchetto>`

  Parameters:
    `p` - pacchetto da rimuovere
  Throws:
    `java.lang.IllegalArgumentException` - se non lo ha rimosso

### removePrenotazioni

    public void removePrenotazioni(Prenotazioni p)

  Rimuove prenotazioni dall'insieme `Set<Prenotazioni>`

  Parameters:
    `p` - prenotazioni da rimuovere
  Throws:
    `java.lang.IllegalArgumentException` - se non lo ha rimosso

### removeVolo

    public void removeVolo(Volo v)

  Rimuove volo dall'insieme `Set<Volo>`

  Parameters:
    `v` - volo da rimuovere
  Throws:
    `java.lang.IllegalArgumentException` - se non lo ha rimosso

### removePrenVolo

    public boolean removePrenVolo(PrenotazioneVolo pv)

  Rimuove un prenotazione di un volo dall'insieme `Set<PrenotazioneVolo>` e incrementa i posti rimasti in quel volo

  Parameters:
    `pv` - prenotazione volo da rimuovere
  Returns:
    true se lo ha rimosso

### removePrenotazione

    public boolean removePrenotazione(Prenotazione p,
                                      java.lang.String nomeVillaggio)

  Rimuove una prenotazione da un villaggio dall'insieme `Set<Prenotazione>`

  Parameters:
    `p` - prenotazioni da rimuovere
    `nomeVillaggio` -
  Returns:
    true se lo ha rimosso

### removePrenotazione

    public boolean removePrenotazione(java.lang.String cognomeCliente,
                                      int numWeek,
                                      java.lang.String nomeVillaggio)

  Rimuove un prenotazione di un cliente in un villaggio

  Parameters:
    `cognomeCliente` - cognome cliente
    `numWeek` - numero settimana
    `nomeVillaggio` - nome villaggio
  Returns:
    true se rimosso

### getPacchetto

    public Pacchetto getPacchetto(java.lang.String nome)

  Ritorna il pacchetto con questo `nome` villaggio

  Parameters:
    `nome` - nome villaggio
  Returns:
    un pacchetto

### getCliente

    public Cliente getCliente(java.lang.String cognome)

  Ritorna il cliente con questo `cognome`

  Parameters:
    `cognome` -
  Returns:
    il cliente

### getOnePrenotazioni

    public Prenotazioni getOnePrenotazioni(java.lang.String nome)

  Ritorna le prenotazioni di un villaggio

  Parameters:
    `nome` - nome villaggio
  Returns:
    un `Prenotazioni`

### getVolo

    public Volo getVolo(java.lang.String sigla)

  Ritorna il volo con questa `sigla`

  Parameters:
    `sigla` - sigla volo
  Returns:
    un volo

### getPacchetti

    public java.util.Set<Pacchetto> getPacchetti()

  Ritorna `Set<Pacchetto>` non modificabile

  Returns:
    `Set<Pacchetto>` non modificabile

### getClienti

    public java.util.Set<Cliente> getClienti()

  Ritorna `Set<Cliente>` non modificabile

  Returns:
    `Set<Cliente>` non modificabile

### getPrenotazioni

    public java.util.Set<Prenotazioni> getPrenotazioni()

  Ritorna `Set<Prenotazioni>` non modificabile

  Returns:
    `Set<Prenotazioni>` non modificabile

### getVoli

    public java.util.Set<Volo> getVoli()

  Ritorna `Set<Volo>` non modificabile

  Returns:
    `Set<Volo>` non modificabile

### getPrenVoli

    public java.util.Set<PrenotazioneVolo> getPrenVoli()

  Ritorna `Set<PrenotazioneVolo>` non modificabile

  Returns:
    `Set<PrenotazioneVolo>` non modificabile

### getPrenVoli

    public java.util.Set<PrenotazioneVolo> getPrenVoli(java.lang.String sigla)

  Ritorna un `Set<PrenotazioneVolo>` con tutte le prenotazioni che hanno questa `sigla`

  Parameters:
    `sigla` - sigla del volo
  Returns:
    il set di prenotazioni con `sigla`

### getonePrenVoli

    public PrenotazioneVolo getonePrenVoli(java.lang.String sigla)

  Ritorna una prenotazione

  Parameters:
    `sigla` - sigla del volo
  Returns:
    una prenotazione con la sigla richiesta

### hasGotPrenotation

    public boolean hasGotPrenotation(Cliente c,
                                     int n)

  Controllo se il cliente ha delle prenotazioni

  Parameters:
    `c` - cliente
    `n` - numero della settimana
  Returns:
    true se il cliente ha delle prenotazioni

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD